org.springframework.batch.core.jsr.step

## Class DecisionStep

- java.lang.Object
- - org.springframework.batch.core.step.AbstractStep
  - - org.springframework.batch.core.jsr.step.DecisionStep

- All Implemented Interfaces:
    Step, org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.InitializingBean

      public class DecisionStep
      extends AbstractStep

  Implements a `Step` to follow the rules for a decision state as defined by JSR-352. Currently does not support the JSR requirement to provide all of the last `StepExecution`s from a split.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.batch.core.Step

      `STEP_TYPE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionStep(javax.batch.api.Decider decider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doExecute(StepExecution stepExecution)` Extension point for subclasses to execute business logic.

    - ### Methods inherited from class org.springframework.batch.core.step.AbstractStep

      `afterPropertiesSet, close, doExecutionRegistration, doExecutionRelease, execute, getCompositeListener, getJobRepository, getName, getStartLimit, isAllowStartIfComplete, open, registerStepExecutionListener, setAllowStartIfComplete, setBeanName, setJobRepository, setName, setStartLimit, setStepExecutionListeners, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionStep

          public DecisionStep(javax.batch.api.Decider decider)

      Parameters:
        `decider` - a `Decider` implementation

  - ### Method Detail

    - #### doExecute

          protected void doExecute(StepExecution stepExecution)
                            throws java.lang.Exception

      Description copied from class: `AbstractStep`
      Extension point for subclasses to execute business logic. Subclasses should set the `ExitStatus` on the `StepExecution` before returning.
      Specified by:
        `doExecute` in class `AbstractStep`
      Parameters:
        `stepExecution` - the current step context
      Throws:
        `java.lang.Exception` - checked exception thrown by implementation